Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
New Contributor
adeibiza
Posts: 5
Registered: ‎03-10-2010
My Device: storm
My Carrier: movistar
Accepted Solution

bb widget not working on os 4.6

i'm using eclipse 3.4.1 with web plug-in 2.0

 

the app loads fine on 5.0 os but anyone with 4.6 they get 3 errors (from memory something to do with the browser & 2 others)

 

i dont really want ppl to force to ugrade as the widget i dont think should need 5.0   (the only "feature" i added in config was "blackberry.invoke.PhoneArguments" as 90% of the content in our app has telephone numbers (as href links) (its a mini yellow pages type app) although it does have web links

 

i cant see in the eclipse project where i can force the widget to be 4.6 compatible

 

the existing jad file is here:

 

http://ibizaa-z.com/apps/bb/phoneibiza.jad

Please use plain text.
BlackBerry Development Advisor
tneil
Posts: 3,708
Registered: ‎10-16-2008
My Device: Z10
My Carrier: Rogers

Re: bb widget not working on os 4.6

[ Edited ]

BlackBerry Widgets require OS 5.0.  The pieces of technology required to make widgets work are only available on OS 5.0 and above.

Tim Neil
Director, Application Platform & Tools Product Management
Follow me on Twitter
Please use plain text.